Bug 1960324

Summary: manifests: extra "spec.version" in console quickstarts makes CVO hotloop
Product: OpenShift Container Platform Reporter: Vadim Rutkovsky <vrutkovs>
Component: Dev ConsoleAssignee: Vadim Rutkovsky <vrutkovs>
Status: CLOSED ERRATA QA Contact: Gajanan More <gamore>
Severity: high Docs Contact:
Priority: unspecified    
Version: 4.8CC: aos-bugs, nmukherj
Target Milestone: ---   
Target Release: 4.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of:
: 1960589 (view as bug list) Environment:
Last Closed: 2021-07-27 23:08:23 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1960589    

Description Vadim Rutkovsky 2021-05-13 16:49:14 UTC
"version" in console quickstarts is not in CRD, but defined in manifests managed by CVO. As a result, CVO can't find it in the object and tries to apply it on every sync cycle

Comment 2 Vadim Rutkovsky 2021-05-17 10:21:17 UTC
CVO no longer hotlooping on quickstarts

Comment 5 errata-xmlrpc 2021-07-27 23:08:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438